#include <iostream>
#include <bits/stdc++.h>

using namespace std;

long long manjiBroj(long long x, long long n)
{
    long long q = 0;
    if(n > 0)
    {
        q = x - n;
        return q;
    }

    if(n< 0 && x < 0)
    {
        n = n * (-1);
        x = x * (-1);
        q = n - x;
        return q;
    }

    if(n < 0)
    {
        n = n * (-1);
        q = n + x;
        return q;
    }

    return q;
}

long long veciBroj(long long x, long long n)
{
    long long p = 0;
    if(x > 0)
    {
        p = n - x;
        return p;
    }

    if(n < 0 && x < 0)
    {
        n = n * (-1);
        x = x *(-1);
        p = x - n;
        return p;
    }

    if(x < 0)
    {
        x = x * (-1);
        p = x + n;
        return p;
    }

    return p;
}

int main()
{
    long long x, n, y, i, z = 0, brojac = 0, veci = 0, manji = 0;
    cin >> n >> x;

    long long komsije[n];
    for(i = 0; i < n; i++)
    {
        cin >> y;
        komsije[z] = y;
        z++;
    }

    sort(komsije, komsije + n);
    for(i = 0; i < n; i++)
    {
        if(komsije[i] < x)
        {
            manji++;
        }

        if(komsije[i] > x)
        {
            veci++;
        }
    }

    long long negativni[manji], pozitivni[veci];
    for(i = 0; i < manji; i++)
    {
        negativni[i] = komsije[i];
    }

    long long p = 0;
    for(i = manji; i < n; i++)
    {
        pozitivni[p] = komsije[i];
        p++;
    }

    if(veci == 0)
    {
        if(negativni[0] < 0 && x < 0)
        {
            negativni[0] = negativni[0] * (-1);
            x = x * (-1);
            brojac = x - negativni[0];
            cout << brojac;
            return 0;
        }

        if(negativni[0] < 0)
        {
            negativni[0] = negativni[0] * (-1);
            brojac = x + negativni[0];
            cout << brojac;
            return 0;
        }

        brojac = negativni[0] - x;
        cout << brojac;
        return 0;
    }

    if(manji == 0)
    {
        if(pozitivni[veci - 1] < 0 && x < 0)
        {
            pozitivni[veci - 1] = pozitivni[veci - 1] * (-1);
            x = x *(-1);
            brojac = x - pozitivni[veci - 1];
            cout << brojac;
        }

        if(x < 0)
        {
            x = x * (-1);
            brojac = x + pozitivni[veci - 1];
            cout << brojac;
        }

        brojac = pozitivni[veci - 1] - x;
        cout << brojac;
        return 0;
    }

    long long q;
    q = manjiBroj(x, negativni[0]);
    p = veciBroj(x, pozitivni[veci - 1]);

    if(p < q || q == p)
    {
        if(negativni[0] > 0 || pozitivni[veci - 1] < 0)
        {
            if(pozitivni[veci - 1] < 0)
            {
                pozitivni[veci - 1] = pozitivni[veci - 1] * (-1);
                negativni[0] = negativni[0] * (-1);
                x = x * (-1);
                brojac = (x - pozitivni[veci - 1]) + (negativni[0] - pozitivni[veci - 1]);
                cout << brojac;
                return 0;
            }
            brojac = (pozitivni[veci - 1] - x) + (pozitivni[veci - 1] - negativni[0]);
            cout << brojac;
            return 0;
        }

        if(negativni[0] < 0 && x < 0)
        {
            negativni[0] = negativni[0] * (-1);
            x = x * (-1);
            brojac = (pozitivni[veci - 1] + x) + (pozitivni[veci - 1] + negativni[0]);
            cout << brojac;
            return 0;
        }

        if(negativni[0] < 0)
        {
            negativni[0] = negativni[0] * (-1);
            brojac = (pozitivni[veci - 1] - x) + (pozitivni[veci - 1] + negativni[0]);
            cout << brojac;
            return 0;
        }
    }

    if(p > q)
    {
        if(negativni[0] > 0 || pozitivni[veci - 1] < 0)
        {
            if(pozitivni[veci - 1] < 0)
            {
                pozitivni[veci - 1] = pozitivni[veci - 1] * (-1);
                negativni[0] = negativni[0] * (-1);
                x = x * (-1);
                brojac = (negativni[0] - x) + (negativni[0] - pozitivni[veci - 1]);
                cout << brojac;
                return 0;
            }

            brojac = (x - negativni[0]) + (pozitivni[veci - 1] - negativni[0]);
            cout << brojac;
            return 0;
        }

        if(x < 0)
        {
            negativni[0] = negativni[0] * (-1);
            x = x * (-1);
            brojac = (negativni[0] - x) + (pozitivni[veci - 1] + negativni[0]);
            cout << brojac;
            return 0;
        }

        if(negativni[0] < 0)
        {
            negativni[0] = negativni[0] * (-1);
            brojac = (negativni[0] + x) + (pozitivni[veci - 1] + negativni[0]);
            cout << brojac;
            return 0;
        }
    }
    return 0;
}